Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001385Frama-CKernelpublic2013-03-28 09:372014-02-12 16:58
Reportersboldo 
Assigned Tosignoles 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Oxygen-20120901 
Target VersionFrama-C Fluorine-20130401Fixed in VersionFrama-C Fluorine-20130401 
Summary0001385: Compilation crash if ocamllex.opt not installed
DescriptionHello,

I am trying to compile the Oxygen release of frama-C.
On my laptop, the configuration is such that ocamllex is installed, but not ocamllex.opt. The config.status is attached, but here are the two interesting lines:

S["OCAMLLEX"]="ocamllex"
S["OCAMLDEPDOTOPT"]="no"

But when compiling, I got this error:

Compiling Qed (byte.opt)
make[1]: ocamllex.opt: Command not found
make[1]: *** [lexer.ml] Error 127
make: *** [src/wp/qed/bin/Qed.cmo] Error 2

Regards,

Sylvie Boldo

TagsNo tags attached.
Attached Files? file icon config.status [^] (31,074 bytes) 2013-03-28 09:37

- Relationships

-  Notes
(0003784)
sboldo (reporter)
2013-03-28 10:11

I found the explanation in the following file:
   src/wp/qed/src/MakeOcaml
In this well-hidden file, it is assumed that, if ocaml.opt does exist, then ocamllex.opt does exist too...
(0003785)
yakobowski (manager)
2013-03-28 10:29

Thanks Sylvie. I thought this was fixed in the trunk, but I'm no longer certain it is the case given the current contents of MakeOcaml
(0004579)
signoles (manager)
2014-02-12 16:58

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2013-03-28 09:37 sboldo New Issue
2013-03-28 09:37 sboldo File Added: config.status
2013-03-28 10:11 sboldo Note Added: 0003784
2013-03-28 10:29 yakobowski Note Added: 0003785
2013-03-28 10:29 yakobowski Assigned To => correnson
2013-03-28 10:29 yakobowski Status new => assigned
2013-03-28 17:34 signoles Target Version => Frama-C Fluorine
2013-04-17 09:00 signoles Assigned To correnson => signoles
2013-04-17 09:01 svn Checkin
2013-04-17 09:01 svn Status assigned => resolved
2013-04-17 09:01 svn Resolution open => fixed
2013-04-17 09:03 signoles Relationship added related to 0001393
2013-04-19 11:05 signoles Fixed in Version => Frama-C Fluorine
2013-04-19 11:05 signoles Status resolved => closed
2014-02-12 16:58 signoles Note Added: 0004579
2014-02-12 16:58 signoles Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker